package org.example.logo.server.services.process;

import org.eclipse.scout.commons.IOUtility;
import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.service.AbstractService;
import org.example.logo.shared.services.process.ILogoProcessService;

public class LogoProcessService extends AbstractService implements ILogoProcessService {

  @Override
  public Object[][] getLogoTableData() {
    return new Object[][]{
        new Object[]{"Company 1", "company1"},
        new Object[]{"Company 2", "company2"},
        new Object[]{"Company 3", "company3"},
    };
  }

  @Override
  public byte[] getLogo(String imageId) {
    try {
      // TODO get content of image
      return IOUtility.getContent("c:/" + imageId + ".png");
    }
    catch (ProcessingException e) {
      // nop
    }
    return null;
  }
}
